NOTICE: This package has been removed from pkgsrc

./mail/mpop, Small, fast and portable POP3 client

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ]


Branch: CURRENT, Version: 1.2.5nb1, Package name: mpop-1.2.5nb1, Maintainer: reed

mpop is a small, fast, and portable POP3 client. Its features include
header-based email filtering (filter junk mail before downloading it),
delivery to mbox files, maildir folders, or a mail delivery agent, a
very fast POP3 implementation, many authentication methods, and good
support for TLS/SSL.


Required to build:
[pkgtools/cwrappers]

Package options: ssl

Master sites:

SHA1: cf72f3a906ee7cbbe8d71a465a7b893b0af29c1a
RMD160: 71c563ff2d0cf1a3189102ffe345699ee9a6349e
Filesize: 262.895 KB

Version history: (Expand)


CVS history: (Expand)


   2016-09-19 15:04:29 by Thomas Klausner | Files touched by this commit (147)
Log message:
Recursive PKGREVISION bump for gnutls shlib major bump.
   2016-06-18 20:55:52 by Benny Siegert | Files touched by this commit (3) | Package updated
Log message:
Update mpop to 1.2.5. From Onno van der Linden in PR pkg/51253.

Version 1.2.5:
- Support SHA256 fingerprints for tls_fingerprint, and mark both SHA1 and MD5 as
  deprecated.

Version 1.2.4:
- The system default policy is used with GnuTLS instead of a hardcoded one.

Version 1.2.3:
- A bug in SOCKS support was fixed.
- Handling non-fatal errors in TLS handshakes was fixed.

Version 1.2.2:
- No significant changes.

Version 1.2.1:
- The new configure option --with-tls replaces --with-ssl.
- A new configure option --disable-gai-idn was added.

Version 1.2.0:
- Support for SOCKS proxies was added. This allows mpop to be used with Tor.
- GNOME Keyring support now uses libsecret instead of libgnome-keyring. It is
  now documented how to use secret-tool to manage passwords for mpop; the
  obsolete mpop-gnome-tool script is removed.
- Configuration file security is now only checked if the file actually contains
  secrets such as passwords. (If you still store passwords in the configuration
  file, consider using the passwordeval command or a key ring instead.)
- The GSSAPI authentication method is not chosen automatically anymore, you have
  to request it manually if you really want to use it.
- Libidn is not required for IDN support anymore on systems where getaddrinfo()
  supports the AI_IDN flag and the GnuTLS version is >= 3.4.0.
- SSLv3 is disabled, and the obsolete tls_force_sslv3 command and
  --tls-force-sslv3 option have no effect anymore.

Version 1.0.29:
- No significant changes.
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2015-11-04 00:27:24 by Alistair G. Crooks | Files touched by this commit (312)
Log message:
Add SHA512 digests for distfiles for mail category

Problems found locating distfiles:
	Package mutt: missing distfile patch-1.5.24.rr.compressed.gz
	Package p5-Email-Valid: missing distfile Email-Valid-1.198.tar.gz
	Package pine: missing distfile fancy.patch.gz
	Package postgrey: missing distfile targrey-0.31-postgrey-1.34.patch
	Package qmail: missing distfile badrcptto.patch
	Package qmail: missing distfile outgoingip.patch
	Package qmail: missing distfile qmail-1.03-realrcptto-2006.12.10.patch
	Package qmail: missing distfile qmail-smtpd-viruscan-1.3.patch
	Package thunderbird24: missing distfile enigmail-1.7.2.tar.gz
	Package thunderbird31: missing distfile enigmail-1.7.2.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-08-23 16:30:43 by Thomas Klausner | Files touched by this commit (125) | Package updated
Log message:
Bump PKGREVISION for nettle shlib major bump.
   2014-02-13 00:18:57 by Matthias Scheler | Files touched by this commit (1568)
Log message:
Recursive PKGREVISION bump for OpenSSL API version bump.
   2014-01-01 12:52:43 by Thomas Klausner | Files touched by this commit (776)
Log message:
Recursive PKGREVISION bump for libgcrypt-1.6.0 shlib major bump.
   2013-08-18 12:32:45 by Sergey Svishchev | Files touched by this commit (3) | Package updated
Log message:
Update to 1.0.28. Changes:

- Always use the internal MD5 functions for the built-in CRAM-MD5
  implementation; never use the ones from OpenSSL. This fixes problems with
  configurations that use OpenSSL and do not use GNU SASL. Thanks to Gleydson
  Soares and Moritz Wilhelmy for providing information and for testing the fix.
- Deprecate DIGEST-MD5 authentication as per RFC 6331.
- Remove unmaintained translations (es, pt_BR).